# Class Route
Routing API for routing from location A to location B.

## Index

### Constructors
* [constructor](_route_.route.md#constructor)

### Properties
* [apiUrl](_route_.route.md#apiurl)
* [heightApiUrl](_route_.route.md#heightapiurl)
* [API_URL](_route_.route.md#api_url)
* [HEIGHT_API_URL](_route_.route.md#height_api_url)

### Methods
* [route](_route_.route.md#route)

## Constructors

### new Route(routecalcOptions?: [RoutecalcOptions](../interfaces/_route_.routecalcoptions.md)): [Route](_route_.route.md)
  
* Defined in Route.ts:11


#### Parameters

| Name | Type | Description |
| ---- | ---- | ---- |
| routecalcOptions? | [RoutecalcOptions](../interfaces/_route_.routecalcoptions.md)|  |

#### Returns: [Route](_route_.route.md)

## Properties

### apiUrl: string

* Defined in Route.ts:10


### heightApiUrl: string

* Defined in Route.ts:11


### Static Private API_URL: string

* Defined in Route.ts:8


### Static Private HEIGHT_API_URL: string

* Defined in Route.ts:9


## Methods

### route(routeOptions: [RouteOptions](../interfaces/_route_.routeoptions.md), callback?: (ev: Event, data: [RouteResponse](../interfaces/_route_.routeresponse.md))=> any): void
Routing helps to get directions information for different profiles:- car- foot- bicycle  
* Defined in Route.ts:27


#### Parameters

| Name | Type | Description |
| ---- | ---- | ---- |
| routeOptions | [RouteOptions](../interfaces/_route_.routeoptions.md)| option settings like profile and from/via/to coordinates |
| callback? | (ev: Event, data: [RouteResponse](../interfaces/_route_.routeresponse.md))=> any| Function callback to process geocode results |

#### Returns: void


Generated using [TypeDoc](http://typedoc.io)
